[Haskell] HaskellWiki Upgrade Aborted

Ashley Yakeley ashley at semantic.org
Sat Jan 10 22:02:34 EST 2009

I have given up attempting to upgrade HaskellWiki, and resumed the 
site's previous normal operation.

I wrote:
> I will also need up upgrade both PHP and MySQL.

It turns out it would be hard to upgrade MySQL, as various things depend 
on the old version:

$ sudo rpm -U MySQL-server-community-5.1.30-0.rhel3.i386.rpm
warning: MySQL-server-community-5.1.30-0.rhel3.i386.rpm: V3 DSA 
signature: NOKEY, key ID 5072e1f5
error: Failed dependencies:
	libmysqlclient.so.10 is needed by (installed) mod_auth_mysql-20030510-2.ent
	libmysqlclient.so.10 is needed by (installed) perl-DBD-MySQL-2.1021-4.EL3
	libmysqlclient.so.10 is needed by (installed) php-mysql-4.3.2-48.ent

I don't know what mod_auth_mysql and perl-DBD-MySQL are being used for, 
so I don't believe I can upgrade them safely.

The machine is running RHEL AS 3 update 9 with Linux 2.4.21.

Ashley Yakeley

More information about the Haskell mailing list